@font-face {
    font-family: 'Poppins-regular';
    src: url('assets/fonts/Poppins/Poppins-Regular.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}
  
* {
    box-sizing: border-box;
}
  
:root{
    --custom-cursor: default;
    --custom-pointer: pointer;
    --custom-write: text;
    --paragraph: 16px;
    --exp-par: 12px;
    --main-color: #222222;
    --secondary-color: #3f3f3f;
    --card-bg-color: #a0a0a06d;
    --devCardColor: #f6f6f619;
    --form-bg: linear-gradient(45deg, #74747469, #969696);
    --form-h3: 2px 2px 2px rgba(0, 0, 0, 0.676);
    --form-labels: rgb(193, 193, 193);
    --submit-button: linear-gradient(90deg, #181818, #000000);
    --submit-hover: #181b1b;
    --text-color: white;
    --header-color: white;
    --linkText: rgba(164, 164, 164, 0.774);
    --theme-switch: #000;
    --theme-switch-active: #7a7a7a;
    --nav-text-active: white;
    --nav-text: rgb(120, 120, 120);
    --welcome-shadow:0 0 5px rgba(215, 218, 219, 0.5), 
    0 0 10px rgba(177, 188, 209, 0.5), 
    0 0 20px rgba(108, 118, 123, 0.5), 
    0 0 40px rgba(239, 239, 239, 0.5), 
    0 0 80px rgba(250, 252, 251, 0.5);
}
  
body, html {
    margin: 0;
    padding: 0;
    font-family: 'Poppins-regular', sans-serif;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    min-height: 100vh;
    min-width: 100vw;
    height: 100%;
    width: 100%;
    cursor: var(--custom-cursor);
    overflow: hidden;
    background-color: var(--main-color);
    box-sizing: border-box;
    color: var(--text-color);
}
  
*, *::before, *::after {
    box-sizing: inherit;
}

#root {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}
  
main {
    overflow: hidden;
    flex: 1;
}
  
p{
    font-size: var(--paragraph);
    text-align: left;
}

/* General classes */

.pointer{
    cursor: pointer;
}

.container {
    overflow-y: hidden;
}

.hide-scrollbar {
    overflow: auto;
    scrollbar-width: none;
}

.hide-scrollbar::-webkit-scrollbar {
    display: none !important;
}

.container{
    min-height: 100vh;
    min-width: 100vw;
    margin: 0 auto;
}
  
.content-center{
    justify-content: center;
}

.t-center{
    text-align: center;
}

.b-spacer{
    margin-bottom: 3.5rem;
}

.d-flex{
    display: flex;
    justify-content: space-between;
}

.d-grid{
    display: grid;
}

.default_button{
    padding: 12px 20px;
    border: none;
    border-radius: 5px;
    font-size: 16px;
    cursor: var(--custom-pointer);
    transition: background-color 0.3s ease, transform 0.2s ease;
    transform: translateY(-3px); /* New lift effect */
    box-shadow: 0 6px 8px rgba(0, 0, 0, 0.3), 0 2px 4px rgba(0, 0, 0, 0.2);
}

.default-link{
    color: white;
    text-decoration: none;
    cursor: var(--custom-pointer);
}

.default-link:hover{
    text-decoration: underline;
    font-size: 102%;
}

.mb-4{
    bottom: 4rem;
}

::-webkit-scrollbar {
    width: 12px;
    height: 5px;
    padding-right: 15px;
}
  
::-webkit-scrollbar-track {
    background: transparent;
}
  
::-webkit-scrollbar-thumb {
    background: rgba(96, 96, 96, 0.2);
    border-radius: 8px;
}
  
::-webkit-scrollbar-thumb:hover {
    background: rgba(96, 96, 96, 0.4);
}

.visible{
    display: block !important; 
}

.hidden{
    display: none !important;
}

@media screen and (min-width: 1024px) {
    .mouse-light {
        position: absolute;
        pointer-events: none;
        width: 400px;
        height: 400px;
        border-radius: 50%; 
        transform: translate(-50%, -48%);
        transition: transform 0.1s ease-in-out;
        background: radial-gradient(circle, rgba(164, 164, 164, 0.149) 5%, transparent 90%);
        overflow: hidden;
        z-index: 100;
    }

    .mouse-trace {
        position: absolute;
        pointer-events: none;
        width: 100px;
        height: 100px;
        background: radial-gradient(circle, var(--card-bg-color), transparent 80%);
        border-radius: 50%;
        transform: translate(-50%, -48%);
        transition: transform 0.1s ease-in-out;
        animation: fadeOut 0.8s ease-out forwards;
        z-index: 99;
    }

    .mouse-negative {
        position: absolute;
        pointer-events: none;
        width: 200px;
        height: 200px;
        border-radius: 50%;
        transform: translate(-50%, -50%);
        z-index: 200;
        mix-blend-mode: difference;
        background: white; /* White background causes the difference effect */
        transition: transform 0.1s ease-in-out;
      }      
    
    
@keyframes fadeOut {
    to {
      opacity: 0;
      transform: translate(-50%, -50%) scale(0.5);
    }
  }
      
}
